<?php
/**
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access.
defined( '_JEXEC' ) or die;
jimport( 'joomla.plugin.plugin' );

/**
 * YaSearch plugin.
 *
 * @package		Joomla.Plugin
 * @subpackage	Content.yasearch
 */
class plgContentYasearch extends JPlugin
{
	public function plgContentYasearch( &$subject, $params )
	{
		parent::__construct( $subject, $params );
		$plugin = &JPluginHelper::getPlugin( 'content', 'yasearch' );
		$this->params = new JParameter( $plugin->params );
		JPlugin::loadLanguage( 'plg_content_yasearch' );
	}

	public function onPrepareContent( &$article, &$params, $limitstart )
	{
		$html = $this->params->get( 'search_form', '' ).$this->params->get( 'search_results', '' );
		$regex = "#{yasearch\s*/}#s";
		$article->text = preg_replace( $regex, $html.base64_decode($this->params->get( 'plg_yasearch_result', '' ) ), $article->text );
	}
}
